<?php
session_name('portal_absa');
session_start();

if(file_exists("../../config.ini")){
	$vlineas = file("../../config.ini");
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,9) == "RUTA_CER="){
			$ruta=trim(substr($sLinea,9));
		}
	}
}

$ext = end(explode(".",$_FILES['cer']['name']));

if(strtoupper($ext) != "CER"){
	htmlError("Debe de subir un archivo de certificado.");exit;
}

if(isset($_FILES['cer'])){
	if(move_uploaded_file($_FILES['cer']['tmp_name'],$ruta.$_FILES['cer']['name'])){
		htmlError("El certificado se ha cargado correctamente.");
	}else{
		htmlError("Hubo un error al cargar el certificado. Intente nuevamente");
	}
		
}else{
    htmlError("Debe de seleccionar un Archivo");
    exit;
}   

function htmlError($msg){
?>
<table width="100%">
      <tr>
        <td colspan="2" align="left" class="txt_titulos" style='background-color: #710909'><?=$msg?></td>
      </tr>
</table>  
    <?
}
?>
